/**
 * 
 */
package fr.univartois.bomberman.model.config;

import java.util.Map;
import java.util.HashMap;

/**
 * @author thibault
 *
 */
public class ConfigManager {
	private final static ConfigManager config=new ConfigManager();
	
	private static Map<String,Configuration> configuration=new HashMap<>();
	static {
	    configuration.put("path",new MyProperties("path.properties"));
	    configuration.put("general",new MyProperties("general.properties"));
	    configuration.put("input",new MyProperties("input.properties"));
	    
	}
	private ConfigManager() {
		//No instance for you
	}
	
	
	public static ConfigManager getInstance() {
		return config;
	}
	
	public Configuration get(String key) {
		return configuration.get(key);
	}
	
	
}
